Jump to content

Recommended Posts

Здравствуйте.

Centos 6.4

Vipnet Coordinator 3.7.1

sga 3.2.1

iplir запущен, координатор работает и виден на всех узлах. Запускаю SGA апплет локально на координаторе, не соединяется, пишет: Содениние со службой iplir, затем - Не удалось установить соединение со службой.

В чем может быть причина?

Share this post


Link to post
Share on other sites

Здравствуйте.

Centos 6.4

Vipnet Coordinator 3.7.1

sga 3.2.1

iplir запущен, координатор работает и виден на всех узлах. Запускаю SGA апплет локально на координаторе, не соединяется, пишет: Содениние со службой iplir, затем - Не удалось установить соединение со службой.

В чем может быть причина?

Подскажите, а Вы в ЦУСе назначили ему задачу "Клиент SGA" (в групповой регистрации)?

Если нет - то он прав таких не имеет и подключаться не будет.

--

С уважением, mkabulov

Share this post


Link to post
Share on other sites

Подскажите, а Вы в ЦУСе назначили ему задачу "Клиент SGA" (в групповой регистрации)?

Если нет - то он прав таких не имеет и подключаться не будет.

--

С уважением, mkabulov

Лицензий на задачу клиент SGA у нас нет. Как я понял, для запуска аплета на самом координаторе регистрация в задаче не требуется, это нужно только для подлючения с клиентов.

Share this post


Link to post
Share on other sites

...Как я понял, для запуска аплета на самом координаторе регистрация в задаче не требуется, это нужно только для подлючения с клиентов...

Все зависит от версии ПО ViPNet Coordinator.

Права на чтение и запись каталога html задавали? Если нет, то в документации есть как это сделать.

Share this post


Link to post
Share on other sites

...Как я понял, для запуска аплета на самом координаторе регистрация в задаче не требуется, это нужно только для подлючения с клиентов...

Все зависит от версии ПО ViPNet Coordinator.

Согласен, версии координатора младше 3.5.2 требовали регистрации в задаче сервер SGA, но у меня последняя версия, та же, что и на сайте infotecs ...

Права на чтение и запись каталога html задавали? Если нет, то в документации есть как это сделать.

Чтение запись в /var/www/html доступны всем пользователям.

Share this post


Link to post
Share on other sites

Недавно рылся в этой проблеме. Нужно также хотя бы одного пользователя зарегистрировать в задаче Клиент SGA. При этом SGA на сервере запустится.

Share this post


Link to post
Share on other sites

Координатор HW1000 версии 3.3, в настройках iplir sga в секции access default= allow.

Клиент 3.2 в задаче клиент SGA зарегистрирован.

Тоже самое, как у "astral_rd_bib" на скрине - висит соединение со службой iplir, не подключается и не отключается.

Share this post


Link to post
Share on other sites

товарищи, столкнулся с такой же проблемой. администратор и клиент 3.2, два координатора hw1000, версии у них такие:

# version
HW1000 G2 version: 2.6 (205)

Version of ViPNet Coordinator: 3.6.4-(2375)
Version of ViPNet iplir daemon: 2.12-1025
Version of ViPNet mftp daemon: 3.53-60
Version of ViPNet failover daemon: 1.5-1

Version of ViPNet drivers:
Iplir:
3.0.440
Watchdog:
1.0.5

Version of HW1000 ViPNet shell 1.2-11

в задаче "клиент SGA" зарегистрирован АП на котором располагается ЦУС и УКЦ, оба координатора доступны, хожу на них по ssh, а при соединении к SGA сначала отображает страничку с "запустить апплет", апплет запускается и висит сообщение "Соединение со службой iplir...". java 8 update 45.

update: поставил на ЦУС syslog, сделал на одном координаторе machine set loghost 192.168.55.10 (адрес ЦУС), и при обращении к SGA в логах вижу такое:

192.168.55.1: <31>iplircfg[2384]: [06-28 23:21:17] network_thread: accepted connection from 192.168.55.10:49242 on port 10095 (fd 19)
192.168.55.1: <31>iplircfg[2384]: [06-28 23:21:17] Udb::CheckSignature: Block size = 542393671 > max size = 64 (fd 19)
192.168.55.1: <31>iplircfg[2384]: [06-28 23:21:17] network_thread: Old exchange protocol no more supported.
192.168.55.1: <31>iplircfg[2384]: [06-28 23:21:17] network_thread: accepted connection from 192.168.55.10:49243 on port 10095 (fd 19)
192.168.55.1: <31>iplircfg[2384]: [06-28 23:21:17] Udb::CheckSignature: Block size = 542393671 > max size = 64 (fd 19)
192.168.55.1: <31>iplircfg[2384]: [06-28 23:21:17] network_thread: Old exchange protocol no more supported.

смущают надписи network_thread: Old exchange protocol no more supported. это оно? кто кого не поддерживает?

Share this post


Link to post
Share on other sites

Аналогично. Работаем с версией Java 7.51. На всех версиях выше висит сообщение "Соединение со службой iplir..." и все.

Share this post


Link to post
Share on other sites

во вкладке апплета "Журнал конвертов", пишет отправлено принято, но время стоит часов на 7-8 меньше от реального. Куда копать?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×

Important Information

By using this site, you agree to our Terms of Use.